CentOS7.2下android studio设置sdk报Unable to run mksdcard SDK tool的解决办法

原创 2016年08月30日 23:29:46
   今天在CentOS7.2下安装了android studio 2.1.3,然后自己下载了android sdk并做了更新,在启动android studio运行到sdk设置的地方后,设置下载到本地的sdk后,点下一步,下一步。下一步,然后就出现了Unable to run mksdcard SDK tool的错误提示。
   在网上查找了相关的资料。并得以解决,具体的解决办法如下:For 64-bit systems, you will have to install these packages
[root@soft soft]# yum install glibc.i686 glibc-devel.i686 libstdc++.i686 zlib-devel.i686 ncurses-devel.i686 libX11-devel.i686 libXrender.i686 libXrandr.i686
   安装完毕后,重起android studio就可以设定sdk的位置了。
   官方的提供的方法为:
If you are running a 64-bit version of Ubuntu, you need to install some 32-bit libraries with the following command:

sudo apt-get install lib32z1 lib32ncurses5 lib32bz2-1.0 lib32stdc++6

If you are running 64-bit Fedora, the command is:

sudo yum install zlib.i686 ncurses-libs.i686 bzip2-libs.i686
   安装完即可启动android studio

参考:https://developer.android.com/studio/install.html?pkg=tools

版权声明:本文为博主原创文章,未经博主允许不得转载。

ubuntu运行android studio出错unable to run mksdcard sdk tool

系统是ubuntu 14.04 64位 原因:缺少lib 解决方法: sudo apt-get install lib32z1 lib32ncurses5  lib32stdc+...

Unable to run mksdcard SDK tool

解决ubuntu16.04下面安装android sdudio出现Unable to run mksdcard SDK tool问题,需要在ubuntu terminal下面运行下面这行命令:wan@...

centos7安装android sdk时报错Unable to run mksdcard SDK tool.

centos7安装android sdk时报错Unable to run mksdcard SDK tool.
  • Mungo
  • Mungo
  • 2015年12月04日 11:05
  • 1885

linux下搭建android开发环境出错:Unable to run mksdcard SDK tool.

首次安装Android studio到安装sdk之后出现Unable to run mksdcard SDK tool. 原因是64位Linux缺少lib 解决方法: sudo ap...

ubuntu 运行android studio出错unable to run mksdcard sdk

原因:缺少lib 解决方法: sudo apt-get install lib32z1 lib32ncurses5  lib32stdc++6

ubuntu安装android studio时出错unable to run mksdcard sdk tool的解决方法

一种亲测可行的ubuntu安装android studio时出错unable to run mksdcard sdk tool的方法

Google官方资料 mksdcard

mksdcard Use the mksdcard tool to create a FAT32 disk image that you can load into emulators ru...

unable to run mksdcard sdk tool

PC: Debian 8.2.0 64-bit Android Studio: unable to run mksdcard sdk tool The solution below co...

关于搭载新版本SDK后,导入以前的工程出现Unable to resolve target 'android-6'的解决办法

转载于:  http://blog.csdn.net/jiabinjlu/article/details/6941064 搭载最新版本的android环境后,由于SDKmanager的更新,会少了以...
内容举报
返回顶部
收藏助手
不良信息举报
您举报文章:CentOS7.2下android studio设置sdk报Unable to run mksdcard SDK tool的解决办法
举报原因:
原因补充:

(最多只允许输入30个字)